Subject: Re: linux-next: manual merge of the ttydev tree with the usb.current tree

From: Greg KH <[email-masked]>
Date: Tue, 28 Jul 2009 09:32:22 -0700

On Tue, Jul 28, 2009 at 02:17:40PM +0100, Alan Cox wrote:
> On Tue, 28 Jul 2009 22:35:04 +1000
> Stephen Rothwell <[email-masked]> wrote:
> 
> > Hi Alan,
> > 
> > On Tue, 28 Jul 2009 13:29:11 +0100 Alan Cox <[email-masked]> wrote:
> > >
> > > I need to look at the actual diff, but the combination looks completely
> > > bogus unless I'm misreading the fixup which is possible.
> > 
> > Below is the actual patch from the usb.current tree.
> 
> Thanks - ok that is probably safe. The change I was worried about (the
> error paths not adjusting port->count are ok as it gets zeroed within the
> mutex)
> 
> Not sure its safe versus hangup but neither was the old code 8)
> 
> Oliver: I'll send you an alternative patch later today/tomorrow that uses
> the ASYNC flags.

Should I just drop Oliver's existing patch from my tree for now then?

thanks,

greg k-h